Jump to content

Lisps Not Working


BILL WILLIAMS

Recommended Posts

It won't work the way you have it because defun E: should really be defun C: Bill. Please change it.

 

From Jeffery P. Sanders - The AutoLISP Beginner:

 

"The C: tells AutoCAD that you want this program to be executed at the Command Prompt like a built in function."

Link to comment
Share on other sites

  • Replies 30
  • Created
  • Last Reply

Top Posters In This Topic

  • ReMark

    15

  • BILL WILLIAMS

    15

  • Coosbaylumber

    1

Popular Days

Top Posters In This Topic

My S::STARTUP

 

 

(defun S::STARTUP ()

(defun C:ahl()(command "ahl"))

(defun C:arcl()(command "arcl"))

(defun C:cb()(command "cb"))

(defun C:cl()(command "cl"))

(defun C:ctst()(command "ctst"))

(defun C:dct()(command "dct"))

(defun C:ddt()(command "ddt"))

(defun C:ds2()(command "dst"))

(defun C:dwgscale()(command "dwgscale"))

(defun C:ddts()(command "ddts"))

(defun C:ddtext()(command "ddtext"))

(defun C:edd()(command "edd"))

(defun C:erasenodes()(command "erasenodes"))

(defun C:dct()(command "dct"))

(defun C:exblock()(command "exblock"))

(defun C:exchprop()(command "exchprop"))

(defun C:cb()(command "cb"))

(defun C:cl()(command "cl"))

(defun C:fr()(command "fr"))

(defun C:io()(command "io"))

(defun C:is()(command "is"))

(defun C:iso()(command "iso"))

(defun C:isodim()(command "isodim"))

(defun C:isoviews()(command "isoviews"))

(defun C:killdots()(command "killdots"))

(defun C:lad()(command "lad"))

(defun C:lcr()(command "lcr"))

(defun C:lts()(command "lts"))

(defun C:match()(command "match"))

(defun C:met()(command "met"))

(defun C:mirrors()(command "mirrors"))

(defun C:mva()(command "mva"))

(defun C:pkill()(command "pkill"))

(defun C:pic()(command "pic"))

(defun C:pickstyl()(command "pickstyl"))

(defun C:pl2cloud()(command "pl2cloud"))

(defun C:pua()(command "pua"))

(defun C:qw()(command "qw"))

(defun C:qww()(command "qww"))

(defun C:respace()(command "respace"))

(defun C:reverse()(command "reverse"))

(defun C:rda()(command "rda"))

(defun C:rot2ent()(command "rot2ent"))

(defun C:sa()(command "sa"))

(defun C:scl()(command "scl"))

(defun C:sp2sp()(command "sp2sp"))

(defun C:steel()(command "steel"))

(defun C:stl()(command "stl"))

(defun C:stc()(command "stc"))

(defun C:sx()(command "sx"))

(defun C:taa()(command "taa"))

(defun C:tc()(command "tc"))

(defun C:tedit()(command "tedit"))

(defun C:tmm()(command "tmm"))

(defun C:txtchg()(command "txtchg"))

(defun C:utext()(command "utext"))

(defun C:aweld()(command "aweld"))

(defun C:wbl()(command "wbl"))

(defun C:widedit()(command "widedit"))

(defun C:wftext()(command "wftext"))

Link to comment
Share on other sites

If you read the article referenced in the first link I posted you'll notice that there are 21 listed items that AutoCAD loads in sequence. S:STARTUP is dead last. 20 other items are loaded ahead of it.

Link to comment
Share on other sites

I read the article but I don't recall there being 20 items loaded first.

FIRST: Is my startup correct?

SECOND: Is there a problem with it loading last and if so how can I get it to load close to the beginning?

Link to comment
Share on other sites

The "list" in the link I provided comes courtesy of Steve Johnson the author of blog nauseam.

 

In summary, here is the AutoCAD startup sequence:

 

A. CUI files loaded:

1. Enterprise

2. Main

3. Partials to Main

4. Partials to Enterprise

 

B. acad*.* files loaded:

1. Files listed in acad.rx

2. acad2009.lsp

3. acad.lsp

4. acad2009doc.lsp

5. acaddoc.lsp

6. acad.dvb

 

C. CUI-associated MNL and LSP files loaded:

1. Enterprise named MNL

2. Enterprise loaded LSP and MNL

3. Main named MNL

4. Main loaded LSP and MNL

5. Partials to Main named MNLs

6. Partials to Main loaded LSPs and MNLs

7. Partials to Enterprise named MNLs

8. Partials to Enterprise loaded LSPs and MNLs

 

D. Startup suite files loaded

 

E. Startup routines run:

1. AcadStartup() called (AutoCAD startup)

2. AcadDocument_Activate() called (Drawing startup)

3. (S::STARTUP) called

 

There it is ^ ^ ^ ...DEAD LAST!

Link to comment
Share on other sites

Yes, I believe your STARTUP is correct. I'm glad to see you have defun C: and not defun E: as you had indicated earlier.

 

I know there are other ways to load Lisp routines earlier in the startup process some methods of doing so have been discussed here several times in the past. RKMcSwain and Lee Mac have contributed their expertise on the subject and I would trust what they have to say about the "best" way to do it.

Link to comment
Share on other sites

I don't care if the loadup is last as long as I can get my lisp to work when I call on them.

There is only one loadup, right? When I first open AutoCAD for the day's business.

Link to comment
Share on other sites

Yes...one load up as you put it. BUT...there can be more than one S:STARTUP as the article I keep referencing mentions. If something gets screwed up some or all of your lisp routines may not be available to you.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...